/**********************************************************************
ID: usieve.h

Copyright 2001, Bulent Yilmaz

Part of Microbrew MicroSieve
USENET SPAM filter

http://www.microbrew.org/products/usieve.html


MicroSieve is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

MicroSieve is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with MicroSieve; if not, write to the Free Software Foundation, Inc.,
59 Temple Place, Suite 330, Boston, MA  02111-1307 USA

**********************************************************************/

#ifndef CONF_FILE
#include "conffile.h"
#endif

#ifndef __SUMTABLE_H
#include "sumtable.h"
#endif

#ifndef TESTOUTPUT
#include "config.h"
#endif

#if PATH_MATCH
#include "autoaccept.h"
#endif

#if BLACKHOLE_MATCH
#include "autoblackhole.h"
#endif

#if BLOCK_BINARIES
#include "blockbinaries.h"
#endif

#if DO_BOT_CHECKS
#include "botsfilter.h"
#endif

#define LOGLASTARTICLE 0

#define ACCEPTCODE "335\r\n"
#define REJECTCODE "435\r\n"

int usieve(char *, long int);
int usieve_reload();
int usieve_term();
